import request from '@/utils/request'
import { downFile } from '@/utils/request'

/**
 * 月报表分页查询
 * @param {查询条件} data
 */
export function listCamWorkers(query) {
  return request({
    url: 'business/CamWorkers/list',
    method: 'get',
    params: query,
  })
}

/**
 * 获取月报表详情
 * @param {Id}
 */
export function getCamWorkers(id) {
  return request({
    url: 'business/CamWorkers/' + id,
    method: 'get'
  })
}

// 导出月报表
export async function exportCamWorkers(query) {
  await downFile('business/CamWorkers/export', { ...query })
}
